STRINGS(1)

BEZEICHNUNG
strings - Ausgabe von Abfolgen darstellbarer Zeichen in Dateien

ÜBERSICHT
strings [-afovV] [-min-länge]
        [-n min-länge] [--bytes=min-länge]
        [-t Basis] [--radix=Basis]
        [-e Kodierung] [--encoding=Kodierung]
        [-U Methode] [--unicode=Methode]
        [-] [--all] [--print-file-name]
        [-T Bfdname] [--target=Bfdname]
        [-w] [--include-all-whitespace]
        [-s] [--output-separator Trennerzeichenkette]
        [--help] [--version] Datei…

BESCHREIBUNG
Für jede übergebene Datei gibt GNU strings die darstellbaren Zeichenabfolgen aus, die mindestens 4 Zeichen lang sind (oder die Länge, die mit den nachfolgenden Optionen festgelegt ist) und denen ein nicht darstellbares Zeichen folgt.

Abhängig davon, wie das Programm Strings konfiguriert wurde, wird es standardmäßig entweder alle darstellbaren Abfolgen anzeigen, die es in jeder Datei finden kann, oder nur die Abfolgen, die in ladbaren, initialisierten Datensektionen sind. Falls der Dateityp nicht erkannt werden kann oder falls Strings von der Standardeingabe liest, dann wird es immer alle darstellbaren Abfolgen anzeigen, die es finden kann.

Zur Rückwärtskompatibilität wird jede Datei, die nach der Befehlszeilenoption von nur - auftritt, auch komplett durchsucht, unabhängig von dem Vorhandensein einer Option -d.

strings ist hauptsächlich zum Bestimmen der Inhalte von nicht-Textdateien nützlich.

OPTIONEN

-a
--all
-   Durchsucht die gesamte Datei, unabhängig davon, welche Sektionen sie enthält oder ob diese Sektionen geladen oder initialisiert werden. Dies ist normalerweise das Standardverhalten, aber Strings kann so konfiguriert werden, dass stattdessen die Option -d die Vorgabe ist.

    Die Option - ist positionsabhängig und erzwingt, dass Strings jede Datei, die nach dem - auf der Befehlszeile folgt, vollständig durchsucht wird, selbst falls die Option -d angegeben wurde.

-d
--data
    Gibt nur Zeichenketten aus den initialisierten, geladenen Daten-Sektionen in der Datei aus. Dies kann die Menge an Zeichenmüll in der Ausgabe reduzieren, kann aber das Programm Strings auch allen Sicherheitsschwachstellen öffnen, die in der Bibliothek BFD vorhanden sein könnten. Strings kann so konfiguriert werden, das diese Option das Standardverhalten ist. In diesen Fällen kann die Option -a verwandt werden, um die Verwendung der Bibliothek BFD zu vermeiden und stattdessen nur sämtliche, in der Datei gefundenen Zeichenketten auszugeben.

-f
--print-file-name
    Gibt vor jeder Zeichenkette den Namen der Datei aus.

--help
    Gibt eine Zusammenfassung des Programmaufrufs auf der Standardausgabe aus und beendet das Programm.

-min-länge
-n min-länge
--bytes=min-länge
    Gibt eine Sequenz von darstellbaren Zeichen aus, die mindestens min-länge Zeichen lang sind. Falls nicht angegeben wird eine Vorgabeminimumlänge von 4 verwandt. Die Unterscheidung zwischen darstellbaren und nicht darstellbaren Zeichen hängt von der Einstellung der Optionen -e und -U ab. Sequenzen werden immer bei Steuerzeichen wie Zeilenumbrüchen und Wagenrückläufen beendet, aber nicht dem Tabulatorzeichen.

-o  Wie -t o. Einige andere Versionen von strings haben -o, das stattdessen wie -t d agiert. Da diese Version nicht mit beiden Arten kompatibel sein kann, wurde eine Variante gewählt.

-t Basis
--radix=Basis
    Gibt vor jeder Zeichenkette den Versatz innerhalb der Datei an. Das einzelne Zeichenargument legt die Basis für den Versatz fest -- o für oktal, x für hexadezimal oder d für dezimal.

-e Kodierung
--encoding=Kodierung
    Wählt die Zeichenkodierung für die zu findenden Zeichenketten aus. Mögliche Werte für Kodierung sind: s = Einzel-7-bit-Byte-Zeichen (Vorgabe), S = Einzel-8-bit-Byte-Zeichen, b = 16-bit-Big-Endian, l = 16-bit-Little-Endian, B = 32-bit-Big-Endian, L = 32-bit-Little-Endian. Nützlich zum Finden von Zeichenketten mit breiten Zeichen. (l und b gelten für beispielsweise UTF-16/UCS-2-Kodierungen.)

-U [d|i|l|e|x|h]
--unicode=[default|invalid|locale|escape|hex|highlight]
    Steuert die Anzeige von UTF-8-kodierten Multibyte-Zeichen in Zeichenketten. Die Vorgabe (--unicode=default) ist, sie nicht besonders zu behandeln und sich stattdessen auf die Einstellung der Option --encoding zu verlassen. Die anderen Optionen aktivieren --encoding=S automatisch.

    Die Option --unicode=invalid behandelt sie als nicht graphische Zeichen und damit keinen Teil einer gültigen Zeichenkette. Alle verbleibenden Optionen behandeln sie als gültige Zeichen einer Zeichenkette.

    Die Option --unicode=locale zeigt sie in der aktuellen Locale an, die UTF-8-Kodierung unterstützen kann, aber nicht muss. Die Option --unicode=hex zeigt sie als in <> eingeschlossene hexadezimale Bytesequenz. Die Option --unicode=escape zeigt sie als Maskiersequenzen (\uxxxx) und die Option --unicode=highlight zeigt sie als rot hervorgehobene Maskieresequenzen (falls das Ausgabegerät dies unterstützt). Die Färbung ist dazu gedacht, auf das Vorhandensein von Unicode-Sequenzen an Stellen, an denen diese nicht erwartet werden könnten, hinzuweisen.

-T Bfdname
--target=Bfdname
    Gibt ein Objektcodeformat an, das von der Vorgabe Ihres Systems abweicht.

-v
-V
--version
    Gibt die Programmversionsnummer auf der Standardausgabe aus und beendet sich.

-w
--include-all-whitespace
    Standardmäßig werden Tabulatoren und Leerzeichen in den angezeigten Zeichenketten aufgenommen, aber andere Leerraumzeichen wie Zeilenumbrüche und Wagenrückläufe nicht. Die Option -w ändert dies, so dass alle Lerraumzeichen als Teil einer Zeichenkette betrachtet werden.

-s
--output-separator
    Standardmäßig werden Ausgabezeichenketten durch einen Zeilenumbruch begrenzt. Diese Option erlaubt es Ihnen, jede Zeichenkette als Ausgabedatensatztrenner zu verwenden. Dies ist zusammen mit »--include-all-whitespace« nützlich, da dort Zeichenketten intern Zeilenumbrüche enthalten dürfen.

@Datei
    Liest Befehlszeilenoptionen aus Datei. Die eingelesenen Optionen werden anstelle der Option @Datei eingefügt. Falls Datei nicht existiert oder nicht gelesen werden kann, dann wird diese Option wörtlich behandelt und nicht entfernt.

    Die Optionen in Datei werden durch Leerraum getrennt. Ein Leerraumzeichen kann in eine Option aufgenommen werden, indem die gesamte Option in entweder einfache oder doppelte englische Anführungszeichen eingeschlossen wird. Jedes Zeichen (einschließlich des Rückwärtsschrägstriches) kann aufgenommen werden, indem dem aufzunehmenden Zeichen ein Rückwärtsschrägstrich vorangestellt wird. Die Datei kann selbst zusätzliche Datei-Optionen enthalten, jede solcher Optionen werden rekursiv ausgewertet.

SIEHE AUCH
ar(1), nm(1), objdump(1), ranlib(1), readelf(1) und die Info-Einträge für binutils.

COPYRIGHT
Copyright © 1991-2023 Free Software Foundation, Inc.

Es wird die Erlaubnis erteilt, dieses Dokument unter den Bedingungen der GNU Free Documentation Lizenz, Version 1.3 oder jeder neueren, durch die Free Software Foundation veröffentlichten Version ohne invariante Abschnitte und ohne Deckblatt-Text und Rückseiten-Text zu kopieren, vertreiben und/oder zu verändern. Eine Kopie dieser Lizenz ist im Abschnitt Namens GNU Free Documentation License enthalten.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Helge Kreutzmann <debian@helgefjell.de> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer (debian-l10n-german@lists.debian.org).